use std::sync::Arc;

use espresso::{
  bundle::{packager, Bundler},
  config::Config,
};

use super::args::BundleOpts;

pub async fn bundle(config: Arc<Config>, opts: BundleOpts) -> Result<(), packager::Error> {
  let bundler = Bundler::new(config);

  bundler.package(opts.source_path).await.unwrap();

  Ok(())
}
